summaryrefslogtreecommitdiff
path: root/init.d/devdb.in
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-05-12 15:11:04 +0000
committerRoy Marples <roy@marples.name>2008-05-12 15:11:04 +0000
commitbe8f8d0ac0f75dbfb5b804dfb3725cf842654cae (patch)
treefb4a278cb95e5f8ae9cdbd50bed94718ef40367a /init.d/devdb.in
parentd667da8e5c4b3de1f73dd288f88ea8783799735b (diff)
downloadopenrc-be8f8d0ac0f75dbfb5b804dfb3725cf842654cae.tar.gz
openrc-be8f8d0ac0f75dbfb5b804dfb3725cf842654cae.tar.bz2
openrc-be8f8d0ac0f75dbfb5b804dfb3725cf842654cae.tar.xz
Add the devdb init script.
Diffstat (limited to 'init.d/devdb.in')
-rw-r--r--init.d/devdb.in21
1 files changed, 21 insertions, 0 deletions
diff --git a/init.d/devdb.in b/init.d/devdb.in
new file mode 100644
index 0000000..a87dbde
--- /dev/null
+++ b/init.d/devdb.in
@@ -0,0 +1,21 @@
+#!@PREFIX@/sbin/runscript
+# Copyright 2008 Roy Marples <roy@marples.name>
+# All rights reserved. Released under the 2-clause BSD license.
+
+description="Creates the dev database"
+
+depend()
+{
+ need localmount
+}
+
+start()
+{
+ ebegin "Bulding the dev database"
+ if [ /var/run/dev.db -nt /dev ]; then
+ :
+ else
+ dev_mkdb
+ fi
+ eend $?
+}